@font-face {
  font-family: "XB Niloofar"; /* You can name this whatever you want */
  src: url("XB Niloofar.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
:root {
  --purple: #70334c;
  --yellow: #dbbc47;
  --beige: #f7f4e7;
  --off-white: #fefcf7;
  --gray: #c8d1d5;
}
* {
  box-sizing: border-box;
}

html {
  height: 100%;
  margin: 0;
}
body {
  margin: 0;
}
.page {
  color: #70334c;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-family: Inter;
  background-color: #fefcf7;
  min-height: 100vh;
  width: 100%;
  margin: 0;
  padding: 0;
  gap: 1.5rem;
}
h1,
h2 {
  font-family: Playfair Display;
}

/* Header and logo */
header {
  text-align: center;
  padding: 0 5rem;
  background-color: #70334c;
  color: white;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 2.5rem;
}
header h1 {
  font-size: 1.5rem;
  font-weight: 1000;
}
header div {
  font-size: 0.9rem;
  font-style: italic;
  letter-spacing: 0.5rem;
  color: #c8d1d5;
  display: flex;
  gap: 9px;
  align-items: center;
}
.logo {
  margin: 0;
}
.yellow {
  color: #dbbc47;
  font-family: Amiri;
  margin-right: 3px;
  margin-bottom: 0;
  margin-left: 0;
  position: relative;
  top: -4px;
}
header .language a {
  color: inherit;
  letter-spacing: normal;
  font-style: normal;
  text-decoration: none;
  word-spacing: normal;
}
.language {
  font-size: 9pt;
  background-color: rgba(255, 255, 255, 0.226);
  border-radius: 8px;
  padding: 3px;
  width: 74px;
  height: 27px;
  display: flex;
  gap: 2px;
}
.en,
.ar {
  padding: 4px 7px;
  flex: 1;
  border-radius: 5px;
  transition: background-color 0.2s ease;
}
.language .en {
  color: #70334c;
  background-color: rgba(252, 252, 252, 0.897);
}
.ar:hover {
  color: #70334c;
  background-color: rgba(252, 252, 252, 0.6);
}
.white {
  color: white;
}
/* Main */
main {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: stretch;
  flex: 1;
  margin: 0 2.5rem 0.8rem 2.5rem;
  gap: 2.5rem;
}
.main_gradient {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 30%;
  max-width: 600px;
  margin-left: 3rem;
  gap: 7px;
  margin-bottom: 0.3rem;
}
.main_gradient::before,
.main_gradient::after {
  content: "";
  display: block;
  height: 0.1rem;
  width: 100%;
}

.main_gradient::before {
  background: linear-gradient(
    to left,
    #dbbc47 0%,
    #fefcf7 90%,
    transparent 100%
  );
}

.main_gradient::after {
  background: linear-gradient(
    to right,
    #dbbc47 0%,
    #fefcf7 90%,
    transparent 100%
  );
}

.plus {
  font-size: 1.8rem;
  line-height: 1;
  font-weight: lighter;
  color: #dbbc47;
  font-family: Amiri;
}

p {
  font-size: 0.7rem;
  font-family: Inter;
}
.try {
  display: flex;
}
.intro {
  width: 39rem;
  padding: 0rem;
}

.intro .gradient-line {
  background: linear-gradient(to right, #dbbc47 0%, #c8d1d5 86%, #c8d1d5);
  width: 23%;
  height: 0.25rem;
  margin: 0.25rem 0 1rem 0;
  max-width: 5rem;
}
.intro_top h1 {
  font-weight: 1000;
  line-height: 1.05;
  margin-bottom: 0.5rem;
  margin: 0 0 0 0;
  font-size: 3rem;
  max-width: 29rem;
}
.intro_top p {
  font-size: 0.9rem;
  color: rgb(112 51 76 / 70%);
  margin: 0;
  max-width: 29rem;
  line-height: 1.5;
}
.intro_expect {
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}
.intro_expect div {
  background-color: #faf5e5;
  padding: 0.5rem 3rem 0.5rem 1rem;
  border-radius: 0 1rem 1rem 0;
  border-left: 3px solid #dbbc47;
  height: 61px;
  margin: 0.2rem 0;
  max-width: 29rem;
  transition:
    transform 0.3s ease,
    border-color 0.3s ease;
}
.intro_expect p {
  font-size: 0.9rem;
  color: rgb(112 51 76 / 70%);
  margin: 0;
}
.intro_expect h2 {
  margin: 0 0 0.1rem 0;
  font-size: 1.3rem;
}
.intro_expect h3 {
  margin: 0;
  font-family: Playfair Display;
  font-weight: normal;
  margin-bottom: 0.15rem;
  font-size: 1.2rem;
}

/* Sign up */
.signup {
  /* width: 40%; */
  min-width: 40%;
  max-width: 25rem;
  min-height: fit-content;
  max-height: 30.4rem;
  background-color: #faf5e5;
  border: 2px solid #e7cd6a;
  padding: 0rem 2rem 0rem 2.5rem;
  border-radius: 20px;
  font-family: Amiri;
  align-self: stretch;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-left: 10px;
  box-shadow: 5px 5px 9px rgb(146, 146, 146);
  margin-top: 4px;
  gap: 0.1rem;
}
.signup .gradient-line {
  background: linear-gradient(to right, #dbbc47 0%, #c8d1d5 86%, #c8d1d5);
  width: 23%;
  height: 0.25rem;
  margin: 0.3rem 0 0.7rem 0;
}
.signup h2 {
  margin: 0;
  font-size: 2.1rem;
  font-weight: 600;
  line-height: 1.4;
}
form label {
  font-family: Inter;
  font-size: 1rem;
  display: block;
  margin: 0.8rem 0;
}
form p:first-of-type {
  margin-top: 0.3rem;
}
input {
  border: #e7cd6a solid 2px;
  width: 100%;
  max-width: 100%;
  height: 2rem;
  padding: 1.6rem 1.5rem;
  font-size: 96%;
  font-family: Amiri;
  border-radius: 1.2rem;
}
input:focus {
  outline: none;
  border: 2px solid #e4c54a;
}
input::placeholder {
  color: rgb(112 51 76 / 70%);
  opacity: 1;
}
.signup button {
  color: white;
  background-color: #70334c;
  padding: 1rem 2rem;
  border: none;
  border-radius: 1.25rem;
  width: 100%;
  font-weight: normal;
  font-size: 1rem;
  max-width: 100%;
  font-family: Playfair Display;
  margin: 1.5rem 0 0.5rem 0;
}
.waitForm {
  display: flex;
  flex-direction: column;
}
.no_spam {
  font-size: 0.75rem;
  color: rgb(112 51 76 / 65%);
  text-align: center;
  margin: 1rem 0 0.5rem 0;
}
/* footer */
footer {
  background-color: #faf5e5;
  display: flex;
  justify-content: space-between;
  font-size: 0.7rem;
  align-items: center;
  margin-bottom: 0;
  padding-left: 2rem; /* Consistent left alignment */
  padding-right: 2rem; /* Consistent right alignment */
  padding-top: 0.6rem;
  padding-bottom: 5px;
}

.links {
  display: flex;
  align-items: center;
  background-color: rgb(231, 205, 106, 50%);
  width: fit-content;
  padding: 1px 12px;
  gap: 10px;
  border-radius: 999px;
  margin-left: 1rem;
  text-decoration: none;
  color: inherit;
  cursor: pointer;
  font-family: Amiri;
  font-style: normal;
  font-size: 11pt;
}
.links svg {
  width: 1rem;
  height: 1rem;
}
footer .copyright {
  color: rgb(112 51 76 / 50%);
}
footer svg {
  width: 1rem;
  color: rgb(62, 16, 8, 65%);
  display: block;
}
/*  Standardize the container width for all three sections */
header,
main,
footer {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: 7vw; /* Consistent left alignment */
  padding-right: 7vw; /* Consistent right alignment */
}

/* Main Adjustments */
main {
  flex: 1;
  gap: 4rem;
  margin-top: 0rem;
}

.intro {
  flex: 1; /* Takes up available space */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.signup {
  /* width: 400px; Fixed width for the box */
  margin-left: 0;
  margin-right: 0; /* Ensures it stays flush to the right */
  /* Keep your other signup styles like background/border */
}

/* Footer Adjustments */
footer {
  background-color: #faf5e5;
}

.links {
  margin-left: 0; /* Align perfectly with the left intro text */
}

.copyright {
  margin: 0; /* Align perfectly with the signup box right edge */
}

[dir="rtl"] {
  /* Arabic Switch */
  header div {
    /* word-spacing: 10px; */
    font-size: 1.25rem;
    position: relative;
    top: -1px;
    font-family: XB Niloofar;
  }

  header .logo {
    font-size: 1.7rem;
  }
  header .yellow {
    top: -5px;
  }
  footer a {
    direction: ltr;
  }
  .main_gradient {
    margin-left: 0;
    margin-right: 3rem;
  }
  .main_gradient::before {
    background: linear-gradient(
      to right,
      #dbbc47 0%,
      #fefcf7 90%,
      transparent 100%
    );
  }

  .main_gradient::after {
    background: linear-gradient(
      to left,
      #dbbc47 0%,
      #fefcf7 90%,
      transparent 100%
    );
  }
  .main_gradient::before,
  .main_gradient::after {
    height: 2px;
  }

  .intro .gradient-line {
    background: linear-gradient(to left, #dbbc47 0%, #c8d1d5 86%, #c8d1d5);
    margin-top: 0;
    margin-bottom: 0;
  }
  .signup .gradient-line {
    background: linear-gradient(to left, #dbbc47 0%, #c8d1d5 86%, #c8d1d5);
  }
  .intro {
    max-width: 22rem;
    justify-content: flex-start;
  }
  .intro_expect {
    gap: 3px;
  }
  .intro_expect div {
    border-left: none;
    border-radius: 1rem 0 0 1rem;
    border-right: 3px solid #dbbc47;
    padding: 0.5rem 1rem 0.5rem 3rem;
  }
  header,
  main,
  footer {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 10vw; /* Consistent left alignment */
    padding-right: 10vw; /* Consistent right alignment */
  }
  /* New font sizes */
  header h1 {
    font-size: 1.7rem;
  }

  .plus {
    font-size: 2rem;
  }

  p {
    font-size: 0.9rem;
  }
  .intro_top {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 6px;
  }

  .intro_top p {
    font-size: 13pt;
  }

  .intro_expect p {
    font-size: 12pt;
  }

  .intro_expect h2 {
    font-size: 1.5rem;
  }

  .intro_expect h3 {
    font-size: 1.2rem;
    line-height: 1.2;
    margin-bottom: 0;
  }

  .signup h2 {
    font-size: 2.3rem;
  }

  form label {
    font-size: 1rem;
  }

  .signup button {
    font-size: 1rem;
  }

  .no_spam {
    font-size: 0.95rem;
  }

  footer {
    font-size: 0.9rem;
  }
  /* Edits */
  main {
    margin-bottom: 0;
    gap: 5rem;
  }
  .page {
    gap: 29px;
  }
  .intro_top h1 {
    font-family: Amiri;
    line-height: 1.4;
    font-size: 2.87rem;
    width: 25rem;
  }
  .intro_expect h2,
  .intro_expect h3,
  .signup h2 {
    font-family: Amiri;
  }
  .signup {
    padding: 0rem 2.5rem 0rem 2rem; /* flip left/right padding */
    min-width: 40%;
    max-width: 25rem;
    margin-left: -2px; /* keep it flush */
    margin-top: 0;
    margin-bottom: 4px;
    /* max-height: fit-content; */
    box-shadow: -5px 5px 9px rgb(146, 146, 146);
  }
  .signup h2 {
    margin-top: 1rem;
    font-size: 2.1rem;
  }
  .language .ar {
    color: #70334c;
    background-color: rgba(252, 252, 252, 0.897);
    border-radius: 5px;
  }
  .en {
    color: inherit;
    background-color: initial;
  }
  .en:hover {
    color: #70334c;
    background-color: rgba(252, 252, 252, 0.6);
  }
  header div {
    gap: 18px;
  }
  /* New arabic padding */
  /* header,
  main,
  footer {
    padding-left: 13vw; 
    padding-right: 13vw; 
  } */
}
@media (max-width: 850px) {
  .signup {
    max-width: 50%;
  }
  [dir="rtl"] {
    .signup {
      max-height: fit-content;
    }
  }
}
@media (max-width: 705px) {
  .page {
    gap: 1rem;
  }

  header {
    flex-direction: column;
    justify-content: center;
    gap: 0.8rem;
    height: unset;
    padding: 1rem 0rem;
  }
  .header-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
  }
  header .language a {
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
  .language {
    width: 130px;
    height: 50px;
    font-size: 12pt;
  }
  header .logo {
    font-size: 2.1rem;
  }
  .yellow {
    top: unset;
  }
  header div {
    content: none;
    font-size: 13pt;
    line-height: 1.5rem;
  }

  main {
    flex-direction: column;
    justify-content: center;
    margin-right: 0;
    margin-left: 0;
    margin-bottom: 1rem;
    padding: 0 2rem;
    gap: 2rem;
    margin-top: 0;
  }
  .intro {
    width: 100%;
    min-width: unset;
  }
  .intro_top {
    margin: 1rem 0rem 0.2rem 0rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
  }
  .intro_top .gradient-line {
    margin: 0.7rem 0 1rem 0;
  }
  .intro_expect div {
    height: unset;
  }
  .main_gradient {
    margin: unset;
    width: 70%;
    margin: 0.5rem auto 0 auto;
  }

  .intro_top h2 {
    font-size: 1.7rem;
  }
  .intro_expect h3 {
    font-size: 1.2rem;
  }
  .intro_expect p {
    font-size: 1.1rem;
  }

  .signup {
    min-width: 100%;
    margin: 0 auto 0 auto;
    height: auto;
    max-height: none;
    padding: 1.2rem;
  }
  .signup h2 {
    font-size: 2.2rem;
  }
  .signup button {
    margin: 1.2rem 0;
    font-size: 1.1rem;
  }
  form label {
    font-size: 1rem;
    margin-left: 6px;
  }
  .no_spam {
    font-size: 1rem;
  }
  footer {
    flex-direction: column;
    align-items: center;
    padding: 1rem 1rem 0.5rem 1rem;
    margin-top: auto;
    font-size: 0.8rem;
    gap: 9px;
  }
  .instagram {
    height: unset;
    font-size: 0.9rem;
  }
  .links {
    font-size: 13pt;
    gap: 13px;
    padding: 2px 13px;
  }
  .links svg {
    width: 20px;
    height: 20px;
  }
  [dir="rtl"] {
    /* Edits for arabic phone */
    header div {
      display: flex;
      flex-direction: column;
    }
    header .logo {
      font-size: 2rem;
    }
    header div {
      font-size: 1.7rem;
    }
    .intro {
      max-width: unset;
    }
    .intro_top h1 {
      width: unset;
    }
    .signup {
      min-width: unset;
      max-width: unset;
      padding: 1rem 2.5rem 1rem 2rem;
    }
    main {
      gap: 2rem;
    }
    .intro_top p {
      font-size: 13.5pt;
    }
    .intro_expect p {
      font-size: 13pt;
    }
    .intro_expect h3 {
      font-size: 15pt;
    }
    .links {
      font-size: 14pt;
    }
    /* .links svg {
      width: 20px;
      height: 20px;
    } */
  }
}
@media (hover: hover) {
  .intro_expect div:hover {
    transform: translateX(5px);
    border-left: 3px solid #e4b819;
  }
  [dir="rtl"] .intro_expect div:hover {
    transform: translateX(-5px);
    border-left: none;
    border-right: 3px solid #e4b819;
  }
}
